Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.pointcut.ast
Class ASTCall

    java.lang.Object
      org.jboss.aop.pointcut.ast.SimpleNode
          org.jboss.aop.pointcut.ast.ASTCall

All Implemented Interfaces:
  Node

public class ASTCall
extends SimpleNode

Field Summary
`protected SimpleNode` | `behavior`

Fields inherited from class org.jboss.aop.pointcut.ast.SimpleNode
`children, id, parent, parser`

Constructor Summary
`ASTCall(int id)`
`ASTCall(PointcutExpressionParser p, int id)`

Method Summary
`Node` | `getBehavior()`
`Object` | `jjtAccept(PointcutExpressionParserVisitor visitor, Object data)` Accept the visitor.
`void` | `jjtAddChild(Node n, int i)` This method tells the node to add its argument to the node's list of children.

Methods inherited from class org.jboss.aop.pointcut.ast.SimpleNode
`childrenAccept, childrenAccept, dump, jjtAccept, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### behavior

    protected SimpleNode behavior

Constructor Detail

### ASTCall

    public ASTCall(int id)

### ASTCall

    public ASTCall(PointcutExpressionParser p,
                   int id)

Method Detail

### jjtAccept

    public Object jjtAccept(PointcutExpressionParserVisitor visitor,
                            Object data)

  Accept the visitor.

  Specified by:
    `jjtAccept` in interface `Node`
  Overrides:
    `jjtAccept` in class `SimpleNode`

### jjtAddChild

    public void jjtAddChild(Node n,
                            int i)

  Description copied from interface: `Node`
  This method tells the node to add its argument to the node's list of children.

  Specified by:
    `jjtAddChild` in interface `Node`
  Overrides:
    `jjtAddChild` in class `SimpleNode`

### getBehavior

    public Node getBehavior()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.